<?php

use App\Http\Controllers\Admin\ArtController;
use App\Http\Controllers\Admin\BookController;
use App\Http\Controllers\Admin\BranchController;
use App\Http\Controllers\Admin\CategoriesController;
use App\Http\Controllers\Admin\CategoryController;
use App\Http\Controllers\Admin\ChapterController;
use App\Http\Controllers\Admin\DivisionController;
use App\Http\Controllers\Admin\GateController;
use App\Http\Controllers\Admin\HomeController;
use App\Http\Controllers\Admin\JudicialPrecedentController;
use App\Http\Controllers\Admin\JudicialPrecedentCategoryController;
use App\Http\Controllers\Admin\LawController;
use App\Http\Controllers\Admin\LegalOpinionController;
use App\Http\Controllers\Admin\LegalOpinionCategoryController;
use App\Http\Controllers\Admin\NotificationController;
use App\Http\Controllers\Admin\PartController;
use App\Http\Controllers\Admin\SectionController;
use App\Http\Controllers\Admin\SubscribePlanController;
use App\Http\Controllers\Admin\SuggestionController;
use App\Http\Controllers\Admin\UsersController;
use App\Http\Controllers\Admin\VersionController;
use App\Http\Controllers\Admin\VolumController;
use App\Http\Controllers\api\PayController;
use Illuminate\Support\Facades\Route;

Route::get('payment/callback', [PayController::class, 'callback']);
Route::middleware(['auth',config('jetstream.auth_session')])->group(function () {
    Route::get('dashboard', [HomeController::class, 'index'])->name('dashboard');
    Route::resource('categories',CategoryController::class);
    Route::resource('versions',VersionController::class);
    Route::resource('users', UsersController::class);
    Route::resource('law', LawController::class);
    Route::resource('art', ArtController::class);
    Route::resource('volum', VolumController::class);
    Route::resource('book', BookController::class);
    Route::resource('section', SectionController::class);
    Route::resource('gate', GateController::class);
    Route::resource('part', PartController::class);
    Route::resource('chapter', ChapterController::class);
    Route::resource('division', DivisionController::class);
    Route::resource('branch', BranchController::class);
    Route::resource('subscribe-plans', SubscribePlanController::class);
    Route::resource('notifications', NotificationController::class);
    Route::resource('judicial-precedent', JudicialPrecedentController::class);
    Route::resource('judicial-precedent-category', JudicialPrecedentCategoryController::class);
    Route::resource('legal-opinion', LegalOpinionController::class);
    Route::resource('legal-opinion-category', LegalOpinionCategoryController::class);
    Route::get('suggestions',[SuggestionController::class,'index'])->name('suggestions.index');
});
